local _, cClass = UnitClass("player")

if (cClass ~= "MAGE") then
	return
end

local QuartzProc = Quartz:GetModule('Procs')

function QuartzProc:returnProcList()
local tmpList = {
		[48108] = { -- Hot Streak
			name = GetSpellInfo(48108),
			--length = 10,
			color = {1, 0, 0}, -- red
			isAura = true, -- patch 3.3 workaround fix
			expires = 0, -- patch 3.3 workaround fix
		},
		[54741] = { -- Firestarter
			name = GetSpellInfo(54741),
			length = 10,
			color = {1, 0, 0.5}, --purple-ish
		},
		[31643] = { -- Blazing Speed
			name = GetSpellInfo(31643),
			length = 8,
			color = {0, 1, 0}, -- green
		},
		[12042] = { -- Arcane Power
			name = GetSpellInfo(12042),
			--length = 15,
			color = {0, 0, 1}, -- 
			isAura = true,
			expires = 0,
		},
		[44401] = { -- Missile Barrage
			name = GetSpellInfo(44401),
			--length = 15,
			color = {1, 0, 0.5}, --purple-ish
			isAura = true, -- patch 3.3 workaround fix
			expires = 0, -- patch 3.3 workaround fix
		},
		[55342] = { -- Mirror Image
			name = GetSpellInfo(55342),
			length = 30,
			color = {0, 0.5, 1}, -- blue-ish
		},
		[54648] = { -- Focus Magic (the buff you get when the other person crits)
					-- TODO: Seems to stay up almost constantly, really no need to include it?
			name = GetSpellInfo(54648),
			length = 10,
			color = {0, 0, 1}, -- 
		},	
		
		--Frost
		[12472] = { -- Icy Veins
			name = GetSpellInfo(12472),
			length = 20,
			color = {0, 0, 1}, -- 
		},
		[44544] = { -- Fingers of Frost
			name = GetSpellInfo(44544),
			length = 15,
			color = {0, 0, 1}, -- 
		},
		[31687] = { -- Water Elemental (TODO: a talent can increase the duration)
			name = GetSpellInfo(31687),
			length = 60,
			color = {0, 0, 1}, -- 
		},
		[43038] = { -- Ice Barrier
			name = GetSpellInfo(43038),
			length = 60,
			color = {0, 0, 1}, -- 
		},
		[45438] = { -- Ice Block
			name = GetSpellInfo(45438),
			length = 10,
			color = {0, 0, 1}, -- 
		},
		[41425] = { -- Hypothermia
			name = GetSpellInfo(41425),
			length = 30,
			color = {1, 0, 0}, -- red
		},
		[32612] = { -- Invisibility
			name = GetSpellInfo(32612),
			color = {0, 0, 1}, -- 
			isAura = true,
			expires = 0,
		},
		
		[64343] = { -- Impact (TODO: Temporary fix (this is unlimited but i made it 5 mins))
			name = GetSpellInfo(64343),
			color = {1, 0.5, 0}, -- orange-ish
			length = 300,
		},
		[57761] = { -- (Brain Freeze) Fireball! (instant cast fireball)
			name = GetSpellInfo(57761),
			color = {1, 0, 0}, -- red
			--length = 15,
			isAura = true, -- patch 3.3 workaround fix
			expires = 0, -- patch 3.3 workaround fix
		},
		
		[53414] = { -- Elemental oath (buff from shammy) (Added v2.2)
			name = GetSpellInfo(53414),
			color = {0.25, 0.5, 0.75}, -- light blue
			length = 15,
			optionsOrder = 600,
			ptype = 'general',
		},
		
		[36032] = { -- Arcane Blast (Added v3.0) [off by default]
			name = GetSpellInfo(36032), 
			color = {0, 0, 1}, -- blue-ish 
			length = 6, 
			isStack = true, 
			oldname = "", 
		},

}
return tmpList
end